package com.salvadorjhai.widgets;

import com.leo.simplearcloader.ArcConfiguration;
import com.leo.simplearcloader.SimpleArcLoader.STYLE;

import android.graphics.Typeface;
import anywheresoftware.b4a.AbsObjectWrapper;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BA.ShortName;

@ShortName("JSArcConfiguration")
public class JSArcConfiguration extends AbsObjectWrapper<ArcConfiguration> {
	
	public final int STYLE_SIMPLE_ARC = 0;
	public final int STYLE_COMPLETE_ARC = 1;
	
	public JSArcConfiguration() {		
	}
	
	public void Initialize(BA ba) {
		this.setObject(new ArcConfiguration(ba.context));
	}
	
	public void setLoaderStyle(int mLoaderStyle) {
		if (mLoaderStyle == 0) {
			this.getObjectOrNull().setLoaderStyle(STYLE.SIMPLE_ARC);
		} else {
			this.getObjectOrNull().setLoaderStyle(STYLE.COMPLETE_ARC);
		}
	}

	public void setArcMargin(int mArcMargin) {
		this.getObjectOrNull().setArcMargin(mArcMargin);
	}

	public void setAnimationSpeed(int mAnimationSpeed) {
		this.getObjectOrNull().setAnimationSpeed(mAnimationSpeed);
	}

	public void setAnimationSpeedWithIndex(int mAnimationIndex) {
		this.getObjectOrNull().setAnimationSpeedWithIndex(mAnimationIndex);
	}

	public void setArcWidthInPixel(int mStrokeWidth) {
		this.getObjectOrNull().setArcWidthInPixel(mStrokeWidth);
	}

	public void setColors(int[] colors) {
		this.getObjectOrNull().setColors(colors);
	}

	public void setTypeFace(Typeface typeFace) {
		this.getObjectOrNull().setTypeFace(typeFace);
	}

	public void setText(String mText) {
		this.getObjectOrNull().setText(mText);
	}

	public void setTextSize(int size) {
		this.getObjectOrNull().setTextSize(size);
	}

	public void setTextColor(int mTextColor) {
		this.getObjectOrNull().setTextColor(mTextColor);
	}

}
